> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a reseller's notification settings



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml put /iam/reselling/resellers/{resellerId}/notification_settings/{notificationSettingsId}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/reselling/resellers/{resellerId}/notification_settings/{notificationSettingsId}:
    put:
      tags:
        - Notification Settings
      summary: Update a reseller's notification settings
      operationId: iamUpdateNotificationSetting
      parameters:
        - $ref: '#/components/parameters/ResellerID'
        - $ref: '#/components/parameters/NotificationSettingsID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationSettingsWrite'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationSettingsRead'
          description: ''
        '400':
          $ref: '#/components/responses/iam_reseller_400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/iam_reseller_404'
components:
  parameters:
    ResellerID:
      name: resellerId
      in: path
      required: true
      description: Reseller ID.
      schema:
        type: integer
    NotificationSettingsID:
      name: notificationSettingsId
      in: path
      required: true
      description: Notification settings ID.
      schema:
        type: integer
  schemas:
    NotificationSettingsWrite:
      type: object
      properties:
        notification_type:
          enum:
            - deletion_request
            - failed_login
          type: string
          description: |-
            - `deletion_request` - Deletion Request
            - `failed_login` - Failed Login
        email:
          type: string
          format: email
          maxLength: 254
        enabled:
          type: boolean
      required:
        - email
        - notification_type
    NotificationSettingsRead:
      type: object
      required:
        - id
        - reseller
        - notification_type
        - email
        - enabled
      properties:
        id:
          type: integer
          readOnly: true
        reseller:
          type: integer
        notification_type:
          enum:
            - deletion_request
            - failed_login
          type: string
          description: |-
            - `deletion_request` - Deletion Request
            - `failed_login` - Failed Login
        email:
          type: string
          format: email
          maxLength: 254
        enabled:
          type: boolean
      readOnly: true
    iam_reseller_ValidationError:
      title: Validation error
      type: object
      properties:
        errors:
          type: object
          description: This object contains error descriptions per field from your request.
          additionalProperties:
            type: array
            description: Error list for specific field.
            items:
              type: string
              description: Error description
    JSONParseError:
      title: Invalid request JSON schema
      type: object
      properties:
        message:
          type: string
          description: >-
            This message describes error if json schema from your request is
            invalid.
          example: >
            JSON parse error - Expecting ',' delimiter: line 3 column 33 (char
            77)
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
    '403':
      description: You do not have permission to perform this action.
    iam_reseller_400:
      description: Validation error
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/iam_reseller_ValidationError'
              - $ref: '#/components/schemas/JSONParseError'
    iam_reseller_404:
      description: Resource not found.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````